> For the complete documentation index, see [llms.txt](https://docs.thedex.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thedex.cloud/documentation.md).

# Documentation

- [API Overview](https://docs.thedex.cloud/documentation/api-overview.md)
- [Invoices](https://docs.thedex.cloud/documentation/invoices.md)
- [Create full invoice](https://docs.thedex.cloud/documentation/invoices/create-an-invoice.md): Creates a full invoice without indicating which cryptocurrency to pay with
- [Define full invoice crypto-currency](https://docs.thedex.cloud/documentation/invoices/define-invoice-currency.md): Defines cryptocurrency for the created full invoice
- [Create quick crypto invoice](https://docs.thedex.cloud/documentation/invoices/create-quick-crypto-invoice.md): Creates a quick crypto invoice using a defined cryptocurrency
- [Create quick fiat invoice](https://docs.thedex.cloud/documentation/invoices/create-quick-fiat-invoice.md): Сreates a full invoice in a single call, with both the fiat and cryptocurrency values explicitly defined in the request
- [Fetch Invoice](https://docs.thedex.cloud/documentation/invoices/fetch-invoice.md): Returns the invoice by "invoiceId" or "orderId" attribute.
- [Fetch invoices](https://docs.thedex.cloud/documentation/invoices/fetch-invoices.md): Returns a list of invoices created within the given time window (From/To).
- [Create static wallet](https://docs.thedex.cloud/documentation/invoices/create-static-wallet.md): Creates a static wallet address — a single, unchanging address used to receive payments in a specified cryptocurrency.
- [Fetch static wallet](https://docs.thedex.cloud/documentation/invoices/fetch-static-wallet.md): Returns a static wallet address by walletId
- [Deprecated](https://docs.thedex.cloud/documentation/invoices/deprecated.md): The following methods are deprecated. While they will remain available, we recommend using the alternatives mentioned in their documentation.
- [Create quick invoice](https://docs.thedex.cloud/documentation/invoices/deprecated/create-quick-invoice.md)
- [Payouts](https://docs.thedex.cloud/documentation/payouts.md)
- [Create payout](https://docs.thedex.cloud/documentation/payouts/create-a-payout.md): Creates payout from user wallet for defined crypto-currency
- [Create fiat-to-crypto payout](https://docs.thedex.cloud/documentation/payouts/create-fiat-to-crypto-payout.md): Creates a payout from the user's wallet based on a specified fiat amount, automatically calculating the equivalent in a defined cryptocurrency.
- [Fetch payout](https://docs.thedex.cloud/documentation/payouts/fetch-payout.md): Returns the payout by “payoutId” attribute.
- [Fetch payouts](https://docs.thedex.cloud/documentation/payouts/fetch-payouts.md): Returns a list of payouts created within the given time window (From/To).
- [Swaps](https://docs.thedex.cloud/documentation/swaps.md)
- [Fetch swaps](https://docs.thedex.cloud/documentation/swaps/fetch-swaps.md): Returns a list of swaps created within the given time window (From/To).
- [Balances](https://docs.thedex.cloud/documentation/balances.md)
- [Fetch all user balances](https://docs.thedex.cloud/documentation/balances/fetch-balances.md): Shows all balances of all merchants are owned by the user.
- [Informational](https://docs.thedex.cloud/documentation/informational.md)
- [Fetch status definitions for Invoice and payout](https://docs.thedex.cloud/documentation/informational/fetch-status-definitions.md): Returns a list of all statuses for invoices and payouts
- [Fetch active crypto and fiat currencies](https://docs.thedex.cloud/documentation/informational/fetch-currency-definitions.md): Returns a list of all active crypto and fiat currencies used in invoice and payout processing
- [Fetch cryptocurrency to fiat-currency rate](https://docs.thedex.cloud/documentation/informational/fetch-crypto-to-fiat-rates.md): Returns a list of available conversion rates between supported cryptocurrencies and fiat currencies.
- [Fetch fiat currency amount limits on invoice creation](https://docs.thedex.cloud/documentation/informational/fetch-fiat-limits-in-invoices.md): Returns a list of fiat currency limits (minimum ) applicable when creating an invoice.
- [Fetch fiat currency amount limits on payout creation](https://docs.thedex.cloud/documentation/informational/fetch-fiat-limits-in-payouts.md): Returns a list of fiat currency limits (minimum ) applicable when creating a payout.                     Note: this endpoint is needed only in case of use fiat-to-crypto payouts
- [Fetch cryptocurrency amount limits on invoice creation](https://docs.thedex.cloud/documentation/informational/fetch-crypto-limits-in-invoices.md): Returns a list of cryptocurrency amount limits (minimum) applicable when creating an invoice.
- [Fetch cryptocurrency amount limits on payout creation](https://docs.thedex.cloud/documentation/informational/fetch-crypto-limits-in-payots.md): Returns a list of cryptocurrency amount limits (minimum) applicable when creating a payout.
- [Fetch Invoice creation ways](https://docs.thedex.cloud/documentation/informational/fetch-invoice-creation-ways.md): Returns a list of all ways on invoice creation
- [Commissions](https://docs.thedex.cloud/documentation/commissions.md)
- [Fetch payout commissions](https://docs.thedex.cloud/documentation/commissions/fetch-payout-commissions.md): Shows all commissions on payout creation for the requested user
- [Fetch invoice commissions](https://docs.thedex.cloud/documentation/commissions/fetch-invoice-commissions.md): Shows merchant-related (invoices) commissions.
- [Merchant Preferences](https://docs.thedex.cloud/documentation/merchant-preferences.md)
- [Fetch merchant wallet whitelist](https://docs.thedex.cloud/documentation/merchant-preferences/fetch-merchant-wallet-whitelist.md): Returns a list of wallets, that are whitelisted for current merchant, only if "Payout API access" enabled in merchant preferences.
- [Add wallet to whitelist](https://docs.thedex.cloud/documentation/merchant-preferences/add-wallet-to-whitelist.md): Adds specific wallet to whitelist, only if "Payout API access" enabled in merchant preferences
- [Remove wallet from whitelist](https://docs.thedex.cloud/documentation/merchant-preferences/remove-wallet-from-whitelist.md): Deletes specific wallet from whitelist by wallet\_address, only if "Payout API access" enabled in merchant preferences


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thedex.cloud/documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
